Skip to main content
GET
/
v1
/
fulfillments
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/fulfillments/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/fulfillments/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/fulfillments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "f12d031e-c602-4e21-98e3-f1c85ba868e9",
  "object": "fulfillment",
  "notifications_enabled": false,
  "number": "0000-F",
  "shipment_status": "unshipped",
  "g_weight": 0,
  "order": "4bdb4cd4-d56a-479c-9cbf-c0ce19bc290d",
  "created_at": 1782485835,
  "updated_at": 1782485835
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

notifications_enabled
boolean

Whether or not notifications should be sent to customers when fulfillments are created and updated.

shipment_status
string

The current shipment status of this fulfillment – one of unshippable, unshipped, label_purchased, shipped, in_transit, delivered, returned, or failed.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

g_weight
number

Total weight of the entire fulfillment in grams.

number
string

The unique identifier for this fulfillment that is auto generated based on this account's order protocol.

order

Expandable – The associated order ID.

fulfillment_items

Expandable – Property not returned unless expanded.

trackings

Expandable – Property not returned unless expanded.

shipments

Expandable – Property not returned unless expanded.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.